#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define		pdir	Crypt
%define		pnam	OpenSSL-EC
Summary:	Crypt::OpenSSL::EC - Perl extension for OpenSSL EC (Elliptic Curves) library
Summary(pl.UTF-8):	Crypt::OpenSSL::EC - moduł Perla do obliczeń na krzywych eliptycznych
Name:		perl-Crypt-OpenSSL-EC
Version:	1.32
Release:	7
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0ac9adc9e597cb492ed7255741426909
URL:		https://metacpan.org/dist/Crypt-OpenSSL-EC
BuildRequires:	openssl-devel >= 0.9.8i
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Crypt-OpenSSL-Bignum >= 0.04
%endif
Requires:	perl-Crypt-OpenSSL-Bignum >= 0.04
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a standard (non-OO) interface to the OpenSSL EC
(Elliptic Curve) library. Some OO Calls are supported.
Most of the functions described in openssl/ec.h are supported.
It provides the Crypt::OpenSSL::EC class which defines some high level
functions and constants.

%description -l pl.UTF-8
Ten moduł dostarcza nieobiektowy interfejs programistyczny do
obliczeń na krzywych eliptycznych z blbioteki OpenSSL.
Dostępna jest wiekszość funkcji opisanych w pliku openssl/ec.h.
Klasa Crypt::OpenSSL::EC definiuje trochę wysokopoziomowych funkcji
i stałych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/OpenSSL/EC.pm
%dir %{perl_vendorarch}/auto/Crypt/OpenSSL/EC
%{perl_vendorarch}/auto/Crypt/OpenSSL/EC/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/OpenSSL/EC/*.so
%{_mandir}/man3/Crypt::OpenSSL::EC.3pm*
%changelog
* Sun Jun 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-OpenSSL-EC.git;a=log;h=master

* Sun Jun 30 2024 Jan Palus <atler@pld-linux.org> b4e9cec
- perl 5.40.0 rebuild

* Tue Aug 22 2023 Jakub Bogusz <qboosh@pld-linux.org> dea432e
- updated URL

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> e89ada2
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 1d4ad81
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 24cac7d
- rebuild with perl 5.34.0

* Sat Sep 25 2021 Jan Rękorajski <baggins@pld-linux.org> 487ab38
- rebuild with openssl 3.0.0

* Sun May 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 39182e1
- updated URL

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 823f7a4
- rebuild with perl 5.32

* Tue Apr 07 2020 Jakub Bogusz <qboosh@pld-linux.org> a615961
- macros for perl macros included

* Sat Apr 04 2020 Adam Osuchowski <adwol@pld-linux.org> 0eb5ac5
- up to 1.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 20020e1
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 92eca79
- rebuild with perl 5.30.0
- release 7 (by relup.sh)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c907089
- release 6 (by relup.sh)

* Fri Aug 31 2018 Jan Rękorajski <baggins@pld-linux.org> c4bbd68
- rebuild with perl 5.28.0
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4584124
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b618b6f
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 72b044d
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Fri Apr 29 2016 Jakub Bogusz <qboosh@pld-linux.org> 969b2f7
- runtime dependency on Crypt::OpenSSL::Bignum

* Tue Apr 26 2016 Adam Osuchowski <adwol@pld-linux.org> ff76a89
- initial version, 1.01

